--- 4.5.7/exim.conf-SpamBlockerTechnology-v4.5.7.txt	2018-02-10 18:16:11.000000000 -0600
+++ 4.5.8/exim.conf-SpamBlockerTechnology-v4.5.8.txt	2018-03-09 20:44:21.000000000 -0600
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.7
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.8
 # September 22, 2017
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -277,6 +277,9 @@
 # ACL SCRIPT
 ######################################
 acl_script:
+
+  .include_if_exists /etc/exim.acl_script.pre.conf
+
   discard set acl_m_uid = ${perl{find_uid}}
           set acl_m_username = ${perl{get_username}{$acl_m_uid}}
           condition = ${if !eq {$acl_m_uid}{-1}{yes}{no}}
@@ -760,6 +763,7 @@
   file_transport = address_file
   pipe_transport = address_pipe
   reply_transport = address_reply
+  directory_transport = address_directory
   no_verify
 
 system_aliases:
@@ -926,6 +930,14 @@
   envelope_to_add
   return_path_add
   user = mail
+  
+address_directory:
+  driver = appendfile
+  maildir_format
+  maildir_use_size_file
+  delivery_date_add
+  envelope_to_add
+  return_path_add
 
 ##################################################################################
 # RETRY CONFIGURATION
